[X2go-Commits] buildscripts.git - master (branch) updated: 1dae61656659006075f2a75065a968122025e5d8

X2Go dev team git-admin at x2go.org
Fri Jun 29 22:26:06 CEST 2012


The branch, master has been updated
       via  1dae61656659006075f2a75065a968122025e5d8 (commit)
       via  90d36fce22eb970aef23c4f28cfd75ccfd71eb29 (commit)
       via  29049bd9b11c428d93957030951c81497f37cd97 (commit)
      from  401c50405a8c0d739fb55f4296b37484290c83c0 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 1dae61656659006075f2a75065a968122025e5d8
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Fri Jun 29 22:25:55 2012 +0200

    use dash instead of underscore as version delimiter

commit 90d36fce22eb970aef23c4f28cfd75ccfd71eb29
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Fri Jun 29 22:25:40 2012 +0200

    whitespace fix

commit 29049bd9b11c428d93957030951c81497f37cd97
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Fri Jun 29 22:25:06 2012 +0200

    fix updatebuildmain, add flexible origin repos as $2

-----------------------------------------------------------------------

Summary of changes:
 bin/gitcreate       |    1 -
 bin/tarballrelease  |   10 +++++-----
 bin/updatebuildmain |    6 ++++--
 3 files changed, 9 insertions(+), 8 deletions(-)

The diff of changes is:
diff --git a/bin/gitcreate b/bin/gitcreate
index 3d93faf..bfceb21 100755
--- a/bin/gitcreate
+++ b/bin/gitcreate
@@ -9,7 +9,6 @@ GIT_SSH_PORT=22
 PREFIX=$(echo `basename $0` | cut -d"-" -f1)
 . ~/.buildscripts/$PREFIX.conf
 
-
 for pkg in "$@"; do
 	subdir=$(dirname $pkg)/
 	pkg=$(basename $pkg)
diff --git a/bin/tarballrelease b/bin/tarballrelease
index 1b58077..84b0648 100755
--- a/bin/tarballrelease
+++ b/bin/tarballrelease
@@ -35,9 +35,9 @@ TEMP_DIR="$(mktemp -d)"
 echo $MANIFEST
 
 trap "rm -f \"${MANIFEST}\"; rm -rf \"${TEMP_DIR}\"" 0
-git clone . "$TEMP_DIR/${PROJECT}_$RELEASE"
-( set -e; cd "$TEMP_DIR/${PROJECT}_$RELEASE/" && git checkout ${CHECKOUT} 2>/dev/null || true )
-( set -e; cd "$TEMP_DIR" && rm -Rf "${PROJECT}_$RELEASE/.git"* )
-( set -e; cd "$TEMP_DIR" && find "${PROJECT}_$RELEASE" -type f | sed 's/^\.*\/*//' | sort > "$MANIFEST" )
+git clone . "$TEMP_DIR/${PROJECT}-$RELEASE"
+( set -e; cd "$TEMP_DIR/${PROJECT}-$RELEASE/" && git checkout ${CHECKOUT} 2>/dev/null || true )
+( set -e; cd "$TEMP_DIR" && rm -Rf "${PROJECT}-$RELEASE/.git"* )
+( set -e; cd "$TEMP_DIR" && find "${PROJECT}-$RELEASE" -type f | sed 's/^\.*\/*//' | sort > "$MANIFEST" )
 mkdir -p "$TARGETDIR/_releases_/source/${PROJECT}/"
-tar c -C "$TEMP_DIR" --owner 0 --group 0 --numeric-owner --no-recursion --files-from "$MANIFEST" | gzip -n > "$TARGETDIR/_releases_/source/${PROJECT}/${PROJECT}_$RELEASE.tar.gz"
+tar c -C "$TEMP_DIR" --owner 0 --group 0 --numeric-owner --no-recursion --files-from "$MANIFEST" | gzip -n > "$TARGETDIR/_releases_/source/${PROJECT}/${PROJECT}-$RELEASE.tar.gz"
diff --git a/bin/updatebuildmain b/bin/updatebuildmain
index 54c3544..5a46ea4 100755
--- a/bin/updatebuildmain
+++ b/bin/updatebuildmain
@@ -21,6 +21,7 @@ set -e
 
 GITPROJECT=$(basename $(pwd))
 REF=${1-HEAD}
+ORIGIN=${2:-origin}
 
 # we need to be within a working copy (base folder) and we need a <REF>!!!
 test -z $1 || test -d ./.git || {
@@ -32,5 +33,6 @@ test -z $1 || test -d ./.git || {
 # update the build-main branch with our newest blessed reference
 git branch -d build-main &>/dev/null || true
 git tag -d build-main &>/dev/null || true
-git checkout -b build-main $REF
-git push origin build-main:build-main
+git checkout -b build-main $REF || true
+git push $ORIGIN build-main:build-main
+git checkout master


hooks/post-receive
-- 
buildscripts.git (X2Go packaging scripts)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "buildscripts.git" (X2Go packaging scripts).




More information about the x2go-commits mailing list